VME Intensity Monitor - Feature #11843
Milestone # 11650 (Closed): Mar 2016 Release A - 201603A

PXIE MPS support
02/29/2016 12:57 PM - John Diamond

Status: Closed Start date: 02/29/2016
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: MPS Estimated time: 0.00 hour
Target version: Spent time: 15.50 hours
Description

Integrated support for the PXIE Machine Protection System that Ning implemented in digitizer firmware ABBOB.

(See Y:\Public\PXIE\Toroid_Digitizer\125MHz_Digitizer_Firmware_Description_ABBO0B.pdf)

History

#1 - 03/01/2016 12:23 PM - John Diamond
- % Done changed from 0 to 30

Implemented driver-level support for MPS functions in ABBOB firmware.

#2 - 03/01/2016 01:38 PM - John Diamond
- % Done changed from 30 to 40

Implemented CLI command for setting MPS thresholds - vmeintMPSThresholdsSet( intenld, lower, upper )
#3 - 03/01/2016 02:39 PM - John Diamond

Implemented CLI commands for enabling/disabling the MPS for an intensity device -

e vmeintMPSEnable( deviceld )
e vmeintMPSDisable( deviceld )

#4 - 03/01/2016 07:30 PM - John Diamond
- % Done changed from 40 to 50

Implemented a MPS section for vmeintShow().

#5 - 03/02/2016 10:34 AM - John Diamond

Implemented a CLI command for resetting all MPS boards - vmeintMPSReset()

#6 - 03/02/2016 01:56 PM - John Diamond
- % Done changed from 50 to 60

Implemented a CLI command for setting the MPS alarm signal frequency - vmeintMPSAlarmFregSet( device_id, freq_hz)

#7 - 03/02/2016 05:55 PM - John Diamond
- % Done changed from 60 to 70

Implemented the following ACNET properties for MSP features:

® In MPSACNET:
o Upper & Lower threshold reading and setting properties
o Alarm frequency reading and setting properties
¢ In IntensityAccessor:
o MPS Reset command for the control property
o MPS Tripped bit for the status property
Bench testing to follow...

#8 - 03/03/2016 11:00 AM - John Diamond
- % Done changed from 70 to 80

Creates some ACNET devices for testing MPS features on nbeam:

e Z:TOR990, MPS Tripped bit added to status property
Z:TOR990, MPS Reset command added to control property
Z:990MPF, MPS alarm signal frequency

Z:990MPL, MPS lower threshold

Z:990MPU, MPS upper threshold

#9 - 03/15/2016 02:47 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Verified upper and lower thresholds working on nbeam. Enabled MPS for Z:TOR990 and left it in nbeamstartup.
